import ReleaseDetailClient from "./ReleaseDetail";
import { getReleaseDetail } from "@/server/repo/zxdb";

export const metadata = {
  title: "ZXDB Release",
};

export const revalidate = 3600;

export default async function Page({ params }: { params: Promise<{ entryId: string; releaseSeq: string }> }) {
  const { entryId, releaseSeq } = await params;
  const entryIdNum = Number(entryId);
  const releaseSeqNum = Number(releaseSeq);
  const data = await getReleaseDetail(entryIdNum, releaseSeqNum);
  return <ReleaseDetailClient data={data} />;
}
